#
# spec file for package srptools
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           srptools
Summary:        Tools for SRP/IB
Version:        0.0.4
Release:        0.14.1
License:        BSD 3-Clause; GPL v2 or later
Group:          System/Console
Source0:        %{name}-%{version}-0.1.gce1f64c.tar.bz2
Source1:        conf.sysconfig
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibumad-devel libibverbs-devel
PreReq:         %fillup_prereq
ExcludeArch:    s390 s390x

%description
In conjunction with the kernel ib_srp driver, srptools allows you to
discover and use SCSI devices via the SCSI RDMA Protocol over
InfiniBand.



%prep
%setup -q
./autogen.sh
cp %{S:1} .

%build
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
# install sysconfig configuration
install -m 700 -D conf.sysconfig ${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.infiniband-%name

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{fillup_only -an infiniband}

%files
%defattr(-, root, root)
%config(noreplace) %_sysconfdir/srp_daemon.conf
/var/adm/fillup-templates/sysconfig.infiniband-%name
%_sbindir/*
%_mandir/man1/*

%changelog
* Fri Feb 18 2011 ro@suse.de
- ExcludeArch:    s390 s390x
* Tue May 25 2010 jjolly@novell.com
- Updated tarball to include -0.1.gce1f64c postfix from OFED 1.5.1
- Removed libibcommon-devel from build dependencies
* Mon Apr 13 2009 jjolly@suse.de
- Added SRP_DAEMON_ENABLE=no (bnc#484456)
* Wed Oct 22 2008 jjolly@suse.de
- Updated to package from OFED 1.3.1 release
* Sat Mar  1 2008 jjolly@suse.de
- Updated to package from OFED 1.3 GA release
* Thu Jan 31 2008 jjolly@suse.de
- Update to 0.0.4 from OFED 1.3 rc2
* Fri Jul 20 2007 hvogel@suse.de
- Fix sysconfig filename
* Wed Jul 11 2007 hvogel@suse.de
- Put configuration into the infiniband sysconfig file
* Mon Jul  9 2007 hvogel@suse.de
- Use correct version number
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 0.03
